/**
 * @file Importe la configuration du LDAP au sein de l'application, et remplace certaines valeurs en fonction des variables d'environnement.
 * @author manifold
 */
const fs = require('fs');
const path = require('path');
const colors = require('colors');
// Point central ; tous les champs de la BDD sont 'cachés' dans config.json et pas visibles directement
const configPath = path.resolve('./', 'ldap_config.json');
const credsPath = path.resolve('./', 'ldap_connexion_config.json');
console.log(colors.cyan("Loading LDAP config file from %s"), configPath);
console.log(colors.cyan("Loading LDAP credentials from %s"), credsPath);
const ldapConfig = JSON.parse(fs.readFileSync(configPath));
const credentialsConfig = JSON.parse(fs.readFileSync(credsPath));

// Override config server from environment
if (process.env.LDAP_URI != null) {
    ldapConfig.ldap.server = process.env.LDAP_URI;
}

module.exports = {
    ldapConfig,
    credentialsConfig
};
